percona server fails to install on centos 7 if mariadb-devel package installed

Bug #1499721 reported by Tomislav Plavcic on 2015-09-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona Server moved to https://jira.percona.com/projects/PS
Fix Released
Medium
Tomislav Plavcic
5.5
Fix Released
Medium
Tomislav Plavcic
5.6
Fix Released
Medium
Tomislav Plavcic

Bug Description

If mariadb-devel package is installed on the centos 7 system the installation of PS 5.5/5.6 will fail like so:

[vagrant@t-centos7-64 old]$ sudo yum install *.rpm
Loaded plugins: fastestmirror
Examining Percona-Server-client-56-5.6.26-rel74.0.el7.x86_64.rpm: Percona-Server-client-56-5.6.26-rel74.0.el7.x86_64
Marking Percona-Server-client-56-5.6.26-rel74.0.el7.x86_64.rpm to be installed
Examining Percona-Server-devel-56-5.6.26-rel74.0.el7.x86_64.rpm: Percona-Server-devel-56-5.6.26-rel74.0.el7.x86_64
Marking Percona-Server-devel-56-5.6.26-rel74.0.el7.x86_64.rpm to be installed
Examining Percona-Server-server-56-5.6.26-rel74.0.el7.x86_64.rpm: Percona-Server-server-56-5.6.26-rel74.0.el7.x86_64
Marking Percona-Server-server-56-5.6.26-rel74.0.el7.x86_64.rpm to be installed
Examining Percona-Server-shared-56-5.6.26-rel74.0.el7.x86_64.rpm: Percona-Server-shared-56-5.6.26-rel74.0.el7.x86_64
Marking Percona-Server-shared-56-5.6.26-rel74.0.el7.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package Percona-Server-client-56.x86_64 0:5.6.26-rel74.0.el7 will be installed
---> Package Percona-Server-devel-56.x86_64 0:5.6.26-rel74.0.el7 will be installed
---> Package Percona-Server-server-56.x86_64 0:5.6.26-rel74.0.el7 will be installed
--> Processing Dependency: perl(Data::Dumper) for package: Percona-Server-server-56-5.6.26-rel74.0.el7.x86_64
Loading mirror speeds from cached hostfile
 * base: mirrors.xgroup.si
 * extras: mirrors.xgroup.si
 * updates: mirrors.xgroup.si
---> Package Percona-Server-shared-56.x86_64 0:5.6.26-rel74.0.el7 will be obsoleting
---> Package mariadb-libs.x86_64 1:5.5.44-1.el7_1 will be obsoleted
--> Processing Dependency: mariadb-libs(x86-64) = 1:5.5.44-1.el7_1 for package: 1:mariadb-devel-5.5.44-1.el7_1.x86_64
--> Running transaction check
---> Package mariadb-libs.x86_64 1:5.5.44-1.el7_1 will be obsoleted
--> Processing Dependency: mariadb-libs(x86-64) = 1:5.5.44-1.el7_1 for package: 1:mariadb-devel-5.5.44-1.el7_1.x86_64
---> Package perl-Data-Dumper.x86_64 0:2.145-3.el7 will be installed
--> Finished Dependency Resolution
Error: Package: 1:mariadb-devel-5.5.44-1.el7_1.x86_64 (@updates)
           Requires: mariadb-libs(x86-64) = 1:5.5.44-1.el7_1
           Removing: 1:mariadb-libs-5.5.44-1.el7_1.x86_64 (@updates)
               mariadb-libs(x86-64) = 1:5.5.44-1.el7_1
           Obsoleted By: Percona-Server-shared-56-5.6.26-rel74.0.el7.x86_64 (/Percona-Server-shared-56-5.6.26-rel74.0.el7.x86_64)
               Not found
           Available: 1:mariadb-libs-5.5.41-2.el7_0.x86_64 (base)
               mariadb-libs(x86-64) = 1:5.5.41-2.el7_0
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Tags: pkg Edit Tag help
Changed in percona-server:
status: New → Fix Committed
importance: Undecided → Medium
assignee: nobody → Tomislav Plavcic (tplavcic)
milestone: none → 5.5.45-37.5
tags: added: pkg

Percona now uses JIRA for bug reports so this bug report is migrated to: https://jira.percona.com/browse/PS-1652

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers